# Method: accounts.hotelViews.list

- [HTTP request](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotelViews/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotelViews/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotelViews/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotelViews/list#body.request_body)
- [Response body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotelViews/list#body.response_body)
  - [JSON representation](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotelViews/list#body.ListHotelViewsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotelViews/list#body.aspect)

Returns the list of hotel views.

### HTTP request

`GET https://travelpartner.googleapis.com/v3/{parent=accounts/*}/hotelViews`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The resource name of the account being queried. The format is `accounts/{account_id}`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Number of elements to retrieve in a single page. |
| `pageToken` | `string` Token of the page to retrieve. |
| `filter` | `string` Optional. The conditions (fields and expressions) used to filter HotelViews. The syntax requires spaces surrounding the `in` operator. Otherwise, spaces can be omitted. Conditions cannot be joined. The `hotelId` field can be used to select specific hotels. The `liveOnGoogle` field can select properties that Google shows, or properties that are omitted in google search results. A value of 'TRUE' includes properties that are conditionally active, e.g. LIVE_ON_GOOGLE_STATUS_ACTIVE_OUTSIDE_DSA_REGION. The `matchStatus` field can be used to filter the list of HotelViews returned for the account. Examples of valid conditions and their syntax are as follows: - `hotelId = 'hotel_ABC'` - `hotelId in ('hotel_ABC', 'hotel_XYZ')` - `liveOnGoogle = 'TRUE'` - `liveOnGoogle = 'FALSE'` - `matchStatus = 'NOT_MATCHED'` - `matchStatus in ('NOT_MATCHED', 'MATCHED', 'MAP_OVERLAP')` |

### Request body

The request body must be empty.

### Response body

Response message for `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotelViews/list#google.travel.travelpartner.v3.HotelViewService.ListHotelViews`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "hotelViews": [ { object (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotelViews#HotelView`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `hotelViews[]` | ``object (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotelViews#HotelView`)`` The list of rows that match the query. |
| `nextPageToken` | `string` Pagination token used to retrieve the next page of results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/travelpartner`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).